Public Member Functions

# CapacityAnnotation::Comparator Struct Reference

## Public Member Functions
bool | operator() (const CapacityAnnotation *x, const CapacityAnnotation *y) const
| Compare two capacity annotations.

## Detailed Description

Definition at line 51 of file mcf.h.

## Member Function Documentation

bool CapacityAnnotation::Comparator::operator() | ( | const CapacityAnnotation * | x,
|  | const CapacityAnnotation * | y |
| ) |  |  | const

Compare two capacity annotations.

Parameters:

  | x | First capacity annotation.
  | y | Second capacity annotation.

Returns:
  If x is better than y.

Definition at line 399 of file mcf.cpp.

References CapacityAnnotation::GetAnnotation(), and Path::GetNode().

The documentation for this struct was generated from the following files:

- src/linkgraph/mcf.h
- src/linkgraph/mcf.cpp